Overview
PUT/persona-memory/links/{srcId}/{dstId}/{relation}persona_memory

Update links

Replace a record in links by srcId, dstId, relation.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • srcIdpathstring
  • dstIdpathstring
  • relationpathstring
Request body

application/json · optional

  • ecosystemIdoptionalstring
  • srcIdoptionalstring
  • dstIdoptionalstring
  • relationoptionalstring
Example
{
  "ecosystemId": "string",
  "srcId": "string",
  "dstId": "string",
  "relation": "string"
}
Responses
200

links

  • ecosystemIdstring
  • srcIdstring
  • dstIdstring
  • relationstring
  • createdAtstring
Example
{
  "ecosystemId": "string",
  "srcId": "string",
  "dstId": "string",
  "relation": "string",
  "createdAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/persona-memory/links/{srcId}/{dstId}/{relation}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "ecosystemId": "string",
  "srcId": "string",
  "dstId": "string",
  "relation": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/links/{srcId}/{dstId}/{relation}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"ecosystemId\": \"string\",\n  \"srcId\": \"string\",\n  \"dstId\": \"string\",\n  \"relation\": \"string\"\n}",
});
const data = await res.json();